## Local Development

Examples of different local development & testing scenarios:

- Bare-metal API server, local Postgres container

      make start-postgres
      make serve

- Bare-metal API server, different Postgres server

      DB_CONN_STRING="host=<db-hostname> user=pmapi password=<pwd>" make serve

- Docker API Server, local Postgres container

      make start-postgres
      VERSION=0.X.0-alpha make serve-docker

- Docker API server, different Postgres server

      DB_CONN_STRING="host=<db-hostname> user=pmapi password=<pwd>" \
      VERSION=0.X.0-alpha \
        make serve-docker

All of the available `make` targets are documented inline; see the
[Makefile](./Makefile) for more details.

### Using the API CLI wrapper

The API CLI wrapper
